For the complete documentation index, see llms.txt. This page is also available as Markdown.

get__v2_stats_credits_breakdown_by

GET /v2/stats/credits/breakdown/{by}

Get Credit Breakdown

Credit breakdown by dimension.

Parameters

Name
In
Type
Required
Description

scope

query

string

true

Scope level: org, workspace, or repo

id

query

string

false

Required when scope is workspace or repo

window

query

string

true

Time window, e.g. 24h, 7d, 30d

timeBucketSize

query

string

false

Time grouping size, e.g., 1h, 1d

by

path

string

true

The dimension to group by: workspaces, repos, models, providers, buckets

includeSeries

query

boolean

false

Include time-series for each entity

limit

query

integer

false

Max entities to return

offset

query

integer

false

Offset for pagination

apiKeyId

query

string

false

Filter source dataset by Repo API Key ID

aiLlmId

query

string

false

Filter source dataset by AI configuration (LLM config) ID

TypeScript Client Library

// Using the Flashgate TypeScript client
import { FlashgateClient } from '@flashgatetech/flashgateclient';

const client = new FlashgateClient({
  accessToken: 'your-access-token'
});

try {
  const result = await client.getCreditBreakdown('dimension_name', {
    scope: 'org',
    id: 'org-id',
    window: '24h'});
  console.log('Get Credit Breakdown:', result);
} catch (error) {
  console.error('Failed to retrieve get credit breakdown:', error);
}

Code Samples

Example responses 200 Response

Responses

Status
Meaning
Description
Schema

200

Successful request

Inline

400

Invalid request parameters

Inline

500

Internal server error

Inline

Response Schema

Status Code 200

Name
Type
Required
Restrictions
Description

» success

boolean

true

none

Indicates if the request was successful

» meta

object

true

none

Metadata for the response

» summary

object

true

none

Statistical summary

» entities

[object]

true

none

Array of breakdown entities

»» entityId

string

true

none

The dimension ID

»» entityName

string

false

none

The dimension Name (if applicable)

»» totals

object

true

none

Total metrics for this entity

»»» creditsAi

number

true

none

Credits consumed by AI

»»» creditsStorage

number

true

none

Credits consumed by Storage

»»» creditsTotal

number

true

none

Total credits consumed

»»» creditsPurchased

number

true

none

Credits purchased

»»» creditsGranted

number

true

none

Credits granted

»» series

[object]

false

none

Time-series data for this entity (if requested)

»»» ts

integer

true

none

Unix timestamp

»»» creditsAi

number

true

none

Credits consumed by AI

»»» creditsStorage

number

true

none

Credits consumed by Storage

»»» creditsTotal

number

true

none

Total credits consumed

»»» creditsPurchased

number

true

none

Credits purchased

»»» creditsGranted

number

true

none

Credits granted

Status Code 400

Name
Type
Required
Restrictions
Description

» success

boolean

true

none

Always false for error responses

» message

string

true

none

Error message

Status Code 500

Name
Type
Required
Restrictions
Description

» success

boolean

true

none

Always false for error responses

» message

string

true

none

Error message

Last updated

Was this helpful?